Subject: bug#36649: 27.0.50; pure space and pdumper

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 02 Jul 2022 11:16:05 +0200

Eli Zaretskii <[email-masked]> writes:

> Basically, I don't want us to drop the pure space in the unexec
> builds, whether it makes sense to the rest of you or not.

Could you explain why?  Skimming this thread, I must have missed the
rationale.  (But it's a long thread.)

> So there are two alternatives: either drop pure space only for the
> pdumper build, or wait for us to remove the unexec support and drop
> pure space then.

If I understand correctly, dropping pure space would make Po's work on
improving the garbage collector easier -- and improving gc is important,
so it seems to make sense to get rid of pure space just for that reason.

But I'm not against dropping unexec now, too -- we can drop both unexec
and pure space now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no